# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global bname wagon
%global namedversion %{version}
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           maven-%{bname}
Version:        1.0
Release:        1%{?dist}
Epoch:          0
Summary:        Tools to manage artifacts and deployment
License:        ASL 2.0
Group:          Development/Java
URL:            http://maven.apache.org/wagon
# svn export http://svn.apache.org/repos/asf/maven/wagon/tags/wagon-1.0/ && tar czf wagon-1.0.tgz wagon-1.0
Source0:        %{bname}-%{version}.tgz
Source1:        wagon-1.0-settings.xml
Source2:        wagon-1.0-jpp-depmap.xml
Patch1:         maven-wagon-pom.patch
Patch2:         maven-wagon-providers-http-pom.patch
Patch3:         maven-wagon-providers-http-lightweight-pom.patch
Patch4:         maven-wagon-providers-webdav-jackrabbit-pom.patch

Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5
Requires:       jpackage-utils >= 0:1.7.5
Requires:       ganymed-ssh2
Requires:       apache-commons-httpclient
Requires:       apache-commons-net
Requires:       jsch
Requires:       jsoup
Requires:       jtidy
Requires:       plexus-interactivity
Requires:       plexus-utils
Requires:       nekohtml
Requires:       maven-scm-test
Requires:       apache-commons-net >= 0:2.0
Requires:       jackrabbit >= 0:1.5.0
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  junit
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-common-poms
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven-skins
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  plexus-maven-plugin
BuildRequires:  maven-shared-reporting-impl
BuildRequires:  qdox
BuildRequires:  classworlds
BuildRequires:  nekohtml
BuildRequires:  concurrent
BuildRequires:  ganymed-ssh2
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-net
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-logging
BuildRequires:  jsch
BuildRequires:  jsoup
BuildRequires:  jtidy
BuildRequires:  plexus-container-default
BuildRequires:  plexus-ftpd
BuildRequires:  plexus-interactivity
BuildRequires:  plexus-utils
BuildRequires:  tomcat5
BuildRequires:  servlet_2_5_api
BuildRequires:  easymock
BuildRequires:  maven-scm-test
BuildRequires:  apache-commons-net >= 0:2.0
BuildRequires:  jackrabbit-parent
BuildRequires:  jackrabbit >= 0:1.5.0
BuildRequires:  it-could-webdav
BuildRequires:  velocity15
BuildRequires:  subversion
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
Maven Wagon is a transport abstraction that is used in Maven's
artifact and repository handling code. Currently wagon has the
following providers:
* File
* HTTP
* FTP
* SSH/SCP
* WebDAV (in progress)

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation
Requires:       %{name}-javadoc = %{epoch}:%{version}-%{release}

%description manual
Documents for %{name}.

%prep
%setup -q -n %{bname}-%{namedversion}
%patch1 -p0 -b .sav1
%patch2 -p0 -b .sav2
%patch3 -p0 -b .sav3
%patch4 -p0 -b .sav4

## # To wire out jetty, plexus-avalon-personality and plexus-ftpd requirement
## rm wagon-providers/wagon-ftp/src/test/java/org/apache/maven/wagon/providers/ftp/FtpWagonTest.java
## rm wagon-providers/wagon-http-lightweight/src/test/java/org/apache/maven/wagon/providers/http/LightweightHttpWagonTest.java
## rm wagon-providers/wagon-http/src/test/java/org/apache/maven/wagon/providers/http/HttpWagonTest.java
## rm wagon-provider-test/src/main/java/org/apache/maven/wagon/http/HttpWagonTestCase.java
cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml
%if 0
# skip site generation due to the failure of maven site
rm src/site/site.xml
%endif

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export MAVEN_SETTINGS=$(pwd)/settings.xml

%{_bindir}/mvn-jpp -e \
          -s ${MAVEN_SETTINGS} \
          -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
          -Dmaven2.jpp.depmap.file=%{SOURCE2} \
          install 
#         -Dmaven.test.failure.ignore \

%{_bindir}/mvn-jpp -e \
          -s ${MAVEN_SETTINGS} \
          -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
          -Dmaven2.jpp.depmap.file=%{SOURCE2} \
          javadoc:aggregate site

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}

%{__cp} -p wagon-providers/wagon-file/target/wagon-file-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-file-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-ftp/target/wagon-ftp-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-ftp-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-http/target/wagon-http-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-http-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-http-lightweight/target/wagon-http-lightweight-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-http-lightweight-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-http-shared/target/wagon-http-shared-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-http-shared-%{namedversion}.jar
%{__cp} -p wagon-provider-api/target/wagon-provider-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-provider-api-%{namedversion}.jar
%{__cp} -p wagon-provider-test/target/wagon-provider-test-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-provider-test-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-scm/target/wagon-scm-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-scm-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-ssh/target/wagon-ssh-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-ssh-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-ssh-common/target/wagon-ssh-common-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-ssh-common-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-ssh-common-test/target/wagon-ssh-common-test-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-ssh-common-test-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-ssh-external/target/wagon-ssh-external-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-ssh-external-%{namedversion}.jar
%{__cp} -p wagon-providers/wagon-webdav-jackrabbit/target/wagon-webdav-jackrabbit-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-webdav-jackrabbit-%{namedversion}.jar
%{__cp} -p wagon-tcks/wagon-tck-http/target/wagon-tck-http-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wagon-tck-http-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g" -e "s|^wagon-||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon.pom
%{__cp} -p wagon-providers/wagon-file/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-file.pom
%{__cp} -p wagon-providers/wagon-ftp/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-ftp.pom
%{__cp} -p wagon-providers/wagon-http/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-http.pom
%{__cp} -p wagon-providers/wagon-http-lightweight/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-http-lightweight.pom
%{__cp} -p wagon-providers/wagon-http-shared/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-http-shared.pom
%{__cp} -p wagon-provider-api/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-provider-api.pom
%{__cp} -p wagon-provider-test/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-provider-test.pom
# FIXME: deploy bug
%{__cp} -p wagon-providers/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-providers.pom
%{__cp} -p wagon-providers/wagon-scm/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-scm.pom
%{__cp} -p wagon-providers/wagon-ssh/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-ssh.pom
%{__cp} -p wagon-providers/wagon-ssh-common/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-ssh-common.pom
%{__cp} -p wagon-providers/wagon-ssh-common-test/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-ssh-common-test.pom
%{__cp} -p wagon-providers/wagon-ssh-external/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-ssh-external.pom
%{__cp} -p wagon-providers/wagon-webdav-jackrabbit/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-webdav-jackrabbit.pom
%{__cp} -p wagon-tcks/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-tcks.pom
%{__cp} -p wagon-tcks/wagon-tck-http/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-wagon-tck-http.pom

# depmaps
%add_to_maven_depmap org.apache.maven.wagon wagon %{namedversion} JPP/%{name} wagon
%add_to_maven_depmap org.apache.maven.wagon wagon-file %{namedversion} JPP/%{name} wagon-file
%add_to_maven_depmap org.apache.maven.wagon wagon-ftp %{namedversion} JPP/%{name} wagon-ftp
%add_to_maven_depmap org.apache.maven.wagon wagon-http %{namedversion} JPP/%{name} wagon-http
%add_to_maven_depmap org.apache.maven.wagon wagon-http-lightweight %{namedversion} JPP/%{name} wagon-http-lightweight
%add_to_maven_depmap org.apache.maven.wagon wagon-http-shared %{namedversion} JPP/%{name} wagon-http-shared
%add_to_maven_depmap org.apache.maven.wagon wagon-provider-api %{namedversion} JPP/%{name} wagon-provider-api
%add_to_maven_depmap org.apache.maven.wagon wagon-provider-test %{namedversion} JPP/%{name} wagon-provider-test
%add_to_maven_depmap org.apache.maven.wagon wagon-providers %{namedversion} JPP/%{name} wagon-providers
%add_to_maven_depmap org.apache.maven.wagon wagon-scm %{namedversion} JPP/%{name} wagon-scm
%add_to_maven_depmap org.apache.maven.wagon wagon-ssh %{namedversion} JPP/%{name} wagon-ssh
%add_to_maven_depmap org.apache.maven.wagon wagon-ssh-common %{namedversion} JPP/%{name} wagon-ssh-common
%add_to_maven_depmap org.apache.maven.wagon wagon-ssh-common-test %{namedversion} JPP/%{name} wagon-ssh-common-test
%add_to_maven_depmap org.apache.maven.wagon wagon-ssh-external %{namedversion} JPP/%{name} wagon-ssh-external
%add_to_maven_depmap org.apache.maven.wagon wagon-webdav-jackrabbit %{namedversion} JPP/%{name} wagon-webdav-jackrabbit
%add_to_maven_depmap org.apache.maven.wagon wagon-tcks %{namedversion} JPP/%{name} wagon-tcks
%add_to_maven_depmap org.apache.maven.wagon wagon-tck-http %{namedversion} JPP/%{name} wagon-tck-http
             
# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/
ln -s %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

# manual
install -d -m 755 %{buildroot}%{_docdir}/%{name}-%{namedversion}
cp -pr target/site/* %{buildroot}%{_docdir}/%{name}-%{namedversion}
rm -r %{buildroot}%{_docdir}/%{name}-%{namedversion}/apidocs
ln -s %{_docdir}/%{name}-%{namedversion} %{buildroot}%{_docdir}/%{name}-%{namedversion}/apidocs

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files       
%defattr(0644,root,root,0755)    
%dir %{_javadir}*/%{name}        
%exclude %dir %{_javadocdir}/%{name}                   
%{_javadir}*/%{name}/wagon-file-%{namedversion}.jar    
%{_javadir}*/%{name}/wagon-file.jar
%{_javadir}*/%{name}/file.jar
%{_javadir}*/%{name}/wagon-ftp-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-ftp.jar
%{_javadir}*/%{name}/ftp.jar
%{_javadir}*/%{name}/wagon-http-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-http.jar
%{_javadir}*/%{name}/http.jar
%{_javadir}*/%{name}/wagon-http-lightweight-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-http-lightweight.jar
%{_javadir}*/%{name}/http-lightweight.jar
%{_javadir}*/%{name}/wagon-http-shared-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-http-shared.jar
%{_javadir}*/%{name}/http-shared.jar
%{_javadir}*/%{name}/wagon-provider-api-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-provider-api.jar
%{_javadir}*/%{name}/provider-api.jar
%{_javadir}*/%{name}/wagon-provider-test-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-provider-test.jar
%{_javadir}*/%{name}/provider-test.jar
%{_javadir}*/%{name}/wagon-scm-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-scm.jar
%{_javadir}*/%{name}/scm.jar
%{_javadir}*/%{name}/wagon-ssh-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-ssh.jar
%{_javadir}*/%{name}/ssh.jar
%{_javadir}*/%{name}/wagon-ssh-common-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-ssh-common.jar
%{_javadir}*/%{name}/ssh-common.jar
%{_javadir}*/%{name}/wagon-ssh-common-test-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-ssh-common-test.jar
%{_javadir}*/%{name}/ssh-common-test.jar
%{_javadir}*/%{name}/wagon-ssh-external-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-ssh-external.jar
%{_javadir}*/%{name}/ssh-external.jar
%{_javadir}*/%{name}/wagon-webdav-jackrabbit-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-webdav-jackrabbit.jar
%{_javadir}*/%{name}/webdav-jackrabbit.jar
%{_javadir}*/%{name}/wagon-tck-http-%{namedversion}.jar
%{_javadir}*/%{name}/wagon-tck-http.jar
%{_javadir}*/%{name}/tck-http.jar
%{_datadir}/maven2/poms/JPP.%{name}-wagon.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-file.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-ftp.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-http.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-http-lightweight.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-http-shared.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-provider-api.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-provider-test.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-providers.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-scm.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-ssh.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-ssh-common.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-ssh-common-test.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-ssh-external.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-webdav-jackrabbit.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-tcks.pom
%{_datadir}/maven2/poms/JPP.%{name}-wagon-tck-http.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{namedversion}

%changelog
* Fri Jun 06 2012  Ralph Apel <r.apel@r-apel.de> 0:1.0-1
- 1.0 final

* Tue Jan 10 2012  Ralph Apel <r.apel@r-apel.de> 0:1.0-0.7.b7.4
- add compat symlinks

* Wed Jun 29 2011  David Walluck <dwalluck@redhat.com> 0:1.0-0.7.b7.3
- add missing depmaps

* Mon Dec 20 2010 David Walluck <dwalluck@redhat.com> 0:1.0-0.7.b7.2
- add requires for maven scriptlets
- fix pom names
- use real jar names
- use full version in jar and dir names
- don't own maven frag dir

* Mon Dec 20 2010 David Walluck <dwalluck@redhat.com> 0:1.0-0.7.b7.1
- 1.0-beta-7
- enable jackrabbit
- enable apache-commons-net

* Thu Sep 30 2010 Hui Wang <huwang@redhat.com> 0:1.0-0.2.b6.5
- Add BR maven2-common-poms and maven-shared-reporting-impl

* Fri Aug 13 2010 Hui Wang <huwang@redhat.com> 0:1.0-0.2.b6.4
- Enable javadoc
- Rebuild with maven221 
- Add BR maven-scm-test

* Fri Aug 13 2010 Hui Wang <huwang@redhat.com> 0:1.0-0.2.b6.3
- Disable javadoc temperarily until newer javadoc is ready
- Fix FtpWagon.java by sed until jakarta-commons-net-2.0 is ready

* Fri May 14 2010 Yong Yang <yyang@redhat.com> 0:1.0-0.2.b6.2
- Create patch for wagon-http-shared pom.xml

* Wed May 12 2010 Yong Yang <yyang@redhat.com> 0:1.0-0.2.b6.1
- Update to beta 6, build with with_maven 1

* Wed Aug 19 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.2.b2.7
- Remove gcj parts.

* Wed Aug 19 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.2.b2.6
- Update to beta2 - sync with jpackage.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.3.a5.3.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.2.a5.3.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  1 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0:1.0-0.1.a5.3.5
- include missing dir below _docdir

* Fri Oct 03 2008 Matt Wringe <mwringe@redhat.com> - 0:1.0-0.1.a5.3.4
- added patch to make it compatible with the newer version of jsch

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.0-0.1.a5.3.3
- drop repotag
- fix license tag

* Sat Apr 05 2008 Matt Wringe <mwringe@redhat.com> - 0:1.0-0.1.a5.3jpp.2
- Rebuild with new version of jsch

* Tue Mar 13 2007 Matt Wringe <mwringe@redhat.com> - 0:1.0-0.1.a5.3jpp.1
- Merge in the changes neeeded to build without jetty
- Fix rpmlint issues
- Generate new *-build.xml files from pom.xml files as origins of
  *-project files is unknown.
- Remove maven1 project.xml files from sources
- Comment out various section requiring maven or javadocs
  (to be re-enabled at a future time). Note that the ant:ant task
  for maven2 does not currently generate javadocs.

* Tue Apr 04 2006 Ralph Apel <r.apel@r-apel.de> - 0:1.0-0.a5.3jpp
- Require j-c-codec, to build with j-c-httpclient = 3.0

* Thu Dec 22 2005 Deepak Bhole <dbhole@redhat.com> - 0:1.0-0.a5.2jpp
- Commented out potentially superfluous dependencies.
- Disabled wagon-scm

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a5.1jpp
- First JPackage build
